#Please read README file.

EntropySorted = 
  function (filename = "/home/zgong001/Documents/SprinklerDataset/sprinkler1001.txt", alphalevel = 0.05, methodu="x2"){
    library(entropy)
    library(bnlearn)
    result = data.frame()
    sprinkler <- read.table(filename, header = TRUE)
    columname = colnames(sprinkler)
    m=length(columname)
    x=seq(0,m-1,by=1)
    colnames(sprinkler)=x
    columname = colnames(sprinkler)
    ThreeVComb = combn(columname,3)
    for(jt in 1:ncol(ThreeVComb)){
      ThV = c(ThreeVComb[1,jt], ThreeVComb[2,jt], ThreeVComb[3,jt])
      tbT = table(sprinkler[,ThV[1]], sprinkler[,ThV[2]],sprinkler[,ThV[3]])
      en = entropy(tbT)
      lable = paste(ThV[1], ThV[2], ThV[3], sep=", ")
      CIlist= data.frame("Index" = lable, "entropy" = en)
      result = rbind(result, CIlist)
    }
    result2 = result[order(-result[,2]), ]
    return(result2)
  }